IBM Support

Supported Java plug-ins for Rational Host On-Demand Version 11 clients

Preventive Service Planning


Abstract

What IBM and Oracle Java plug-ins are supported for IBM Rational Host On-Demand (HOD) version 11.x on the client machines?

Content

The following tables list the IBM and Oracle Java plug-ins that are supported for each level of IBM Rational Host On-Demand Version 11.0 clients.

Host On-Demand supports the following IBM Java plug-ins:

HOD Version
IBM Java version
5.0 6.0 SR1 - SR8 6.0 SR9 FP1,2 6.0 SR10 6.0 SR12 6.0 SR13 6.0 SR14 6.0 SR15 fp1 6.0 SR16 fp1 6.0 SR16 fp21
11.0.0
yes
yes
-
-
-
-
-
-
-
-
11.0.1
yes
yes
-
-
-
-
-
-
-
-
11.0.2
yes
yes
-
-
-
-
-
-
-
-
11.0.3
yes
yes
-
-
-
-
-
-
-
-
11.0.4
yes
yes
yes
no
yes
-
-
-
-
-
11.0.5
yes
yes
yes
yes
yes
-
-
-
-
-
11.0.5.1
yes
yes
yes
yes
yes
-
-
-
-
-
11.0.6
yes
yes
yes
yes
yes
-
-
-
-
-
11.0.6.1
NT
NT
NT
NT
yes
-
-
-
-
-
11.0.7
NT
NT
NT
NT
yes
-
-
-
-
-
11.0.8
NT
NT
NT
NT
NT
yes
-
-
-
-
11.0.8 SB *
NT
NT
NT
NT
NT
NT
NT
-
-
-
11.0.9
NT
NT
NT
NT
NT
NT
yes
yes
-
-
11.0.10
NT
NT
NT
NT
NT
NT
NT
NT
-
-
11.0.11
NT
NT
NT
NT
NT
NT
NT
NT
yes
-
11.0.12
NT
NT
NT
NT
NT
NT
NT
NT
NT
-
11.0.13
NT
NT
NT
NT
NT
NT
NT
NT
NT
-
11.0.14
NT
NT
NT
NT
NT
NT
NT
NT
NT
yes

Note: 11.0.8 SB (Special Build) was published to provide relief for Oracle JRE issues so we could provide support for Oracle JRE 1.7.0_45.

Note: IBM Java is not supported on Mac OS.

Note: NT = Not Tested
- = JRE might not have been available at time of HOD release
Yes = Yes means HOD is supported on that JRE as long as the JRE vendor (Oracle or IBM) supports that level of JRE.

HOD Version
IBM Java version
7.0 SR1 7.0 SR3 7.0 SR4 fp2 7.0 SR6 fp1 7.0 SR7 fp1 7.0 SR8 fp10 7.0 SR9 7.0
SR9
FP31
7.1
SR1
7.1
SR2 fp10
7.1
SR3 fp10
7.1
SR3 fp31
11.0.0
-
-
-
-
-
-
-
-
-
-
-
-
11.0.1
-
-
-
-
-
-
-
-
-
-
-
-
11.0.2
-
-
-
-
-
-
-
-
-
-
-
-
11.0.3
-
-
-
-
-
-
-
-
-
-
-
-
11.0.4
-
-
-
-
-
-
-
-
-
-
-
-
11.0.5
-
-
-
-
-
-
-
-
-
-
-
-
11.0.5.1
-
-
-
-
-
-
-
-
-
-
-
-
11.0.6
yes
-
-
-
-
-
-
-
-
-
-
-
11.0.6.1
NT
-
-
-
-
-
-
-
-
-
-
-
11.0.7
NT
yes
-
-
-
-
-
-
-
-
-
-
11.0.8
NT
NT
yes
-
-
-
-
-
-
-
-
-
11.0.8 SB *
NT
NT
yes
NT
-
-
-
-
-
-
-
-
11.0.9
NT
NT
NT
yes
-
-
-
-
-
-
-
-
11.0.10
NT
NT
NT
NT
-
-
-
-
-
-
-
-
11.0.11
NT
NT
NT
NT
yes
-
-
-
-
-
-
-
11.0.12
NT
NT
NT
NT
NT
yes
-
-
-
-
-
-
11.0.13
NT
NT
NT
NT
NT
yes
yes
-
yes
-
-
-
11.0.14
NT
NT
NT
NT
NT
NT
NT
yes
NT
yes
yes
yes

HOD Version
IBM Java Version 8.0
8.0
SR1 fp1
8.0
SR1 fp10
8.0
SR2 fp11
11.0.14
Yes
Yes
Yes


Host On-Demand supports the following Oracle Java plug-ins (now listed in separate tables below):

HOD Version
Oracle Java Version 5.0 and 6.0
5.0 6.0_23 6.0_24 to 6.0_29 1.6.0_30, _31 1.6.0_45, _51 1.6.0_71
11.0.0
yes
yes
Download, webstart clients only
-
-
-
11.0.1
yes
yes
Download, webstart clients only
-
-
-
11.0.2
yes
yes
Download, webstart clients only
-
-
-
11.0.3
yes
yes
Download, webstart clients only
-
-
-
11.0.4
yes
yes
yes, all clients
-
-
-
11.0.5
yes
yes
yes, all clients
yes
-
-
11.0.5.1
yes
yes
yes, all clients
yes
-
-
11.0.6
yes
yes
yes, all clients
yes
-
-
11.0.6.1
NT
NT
NT
NT
-
-
11.0.7
NT
NT
NT
NT
-
-
11.0.8
NT
NT
NT
NT
Yes
-
11.0.8 Special Build
NT
NT
NT
NT
NT
-
11.0.9
NT
NT
NT
NT
NT
Yes
11.0.10
NT
NT
NT
NT
NT
NT
11.0.11
NT
NT
NT
NT
NT
NT
11.0.12
NT
NT
NT
NT
NT
NT
11.0.13
NT
NT
NT
NT
NT
NT
11.0.14
NT
NT
NT
NT
NT
NT

HOD Version
Oracle Java Version 7.0
1.7.0_07, _09 1.7.0_11 1.7.0_17 1.7.0_21 1.7.0_45 1.7.0_51 1.7.0_55 1.7.0_65 1.7.0_67 1.7.0_71 1.7.0_72 1.7.0_75 1.7.0_76 1.7.0_79 1.7.0_80 1.7.0_85 1.7.0_95
11.0.0
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
11.0.1
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
11.0.2
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
11.0.3
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
11.0.4
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
11.0.5
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
11.0.5.1
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
11.0.6
NT
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
11.0.6.1
Yes
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
11.0.7
NT
Yes
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
11.0.8
NT
NT
Yes
Yes
-
-
-
-
-
-
-
-
-
-
-
-
-
11.0.8 Special Build
NT
NT
NT
NT
Yes
Yes
-
-
-
-
-
-
-
-
-
-
-
11.0.9
NT
NT
NT
NT
NT
Yes
Yes
Yes+
Yes+
-
-
-
-
-
-
-
-
11.0.10
NT
NT
NT
NT
NT
NT
NT
NT
Yes
-
-
-
-
-
-
-
-
11.0.11
NT
NT
NT
NT
NT
NT
NT
NT
NT
Yes*
Yes*
-
-
-
-
-
-
11.0.12
NT
NT
NT
NT
NT
NT
NT
NT
NT
NT
NT
Yes*
Yes*
-
-
-
-
11.0.13
NT
NT
NT
NT
NT
NT
NT
NT
NT
NT
NT
Yes*
Yes*
Yes*
Yes*
Yes
-
11.0.14
NT
NT
NT
NT
NT
NT
NT
NT
NT
NT
NT
NT
NT
NT
NT
Yes
Yes

HOD Version
Oracle Java Version 8.0
1.8.0_25 1.8.0_31 1.8.0_40 1.8.0_45 1.8.0_51 1.8.0_60 1.8.0_74 1.8.0_91 1.8.0_92
11.0.11
Yes*
-
-
-
-
-
-
-
-
11.0.12 See note
NT
Yes*
-
-
-
-
-
-
-
11.0.13
NT
Yes*
Yes
Yes
Yes
Yes
-
-
-
11.0.14
NT
NT
NT
NT
Yes
Yes
Yes
Yes
Yes

Note: HOD 11.0.12 was not tested with JRE 8 yet due to the Signer Certificate expiration and FREAK vulnerability. HOD 11.0.13 was specifically published for the FREAK vulnerability and has now been tested with JRE 8. The client works on Windows platform, but had problems with Linux client.

Note: NT = Not Tested
- = JRE might not have been available at time of HOD release

Note: 11.0.8 Special Build was published to provide relief for Oracle JRE issues so we could provide support for Oracle JRE 1.7.0_45.

Technote 1427068: Sun Java 1.6.0_19 and higher is causing a security warning for IBM WebSphere/Rational Host On-Demand clients

Technote 1460650: Oracle (Sun) 1.6.0_24 and higher JRE causes Host On-Demand cached clients to fail
  • Fix is available in HOD 11.0.4 and can be downloaded from Fix Central.

Technote 1623392: Using Java 7 with Host On-Demand, clients lose focus when starting sessions
  • Fix is available in HOD 11.0.7
+ HOD 11.0.9 clients on a Mac has some issues with Oracle JRE 1.7.0_65.
* HOD 11.0.11 and higher clients on Windows only, Linux clients do not work with these JREs.

JRE support disclaimer

Earlier levels of Host On-Demand cannot support some JRE levels due to Oracle JRE changes. The following table shows which levels of Host On-Demand changed to comply with the Java changes. Because of these changes, backward compatibility may not work.


HOD version
Reason for code change
HOD11.0.3
JRE1.6.0_19 - when a program contains mixed-mode code (signed and unsigned components), a security warning dialog is raised
HOD11.0.4
To Support JRE 1.6 24
HOD11.0.6
To Support JRE 1.7.0
HOD11.0.8
To Support JRE 1.7.0_21
HOD11.0.8 SB
To Support JRE 1.7.0_45
HOD11.0.9
To Support JRE 1.7.0_51 and JRE 1.7.0_55

Host On-Demand will not be supported on levels of JRE that are no longer supported.

Document information

More support for: Rational Host On-Demand
General Information

Software version: 11.0, 11.0.1.0, 11.0.2.0, 11.0.3.0, 11.0.4.0, 11.0.5.0, 11.0.5.1, 11.0.6, 11.0.6.1, 11.0.7, 11.0.8, 11.0.9, 11.0.10, 11.0.11, 11.0.12, 11.0.13, 11.0.14

Operating system(s): AIX, HP-UX, IBM i, Linux, Solaris, Windows, z/OS

Reference #: 1413688

Modified date: 2015-09-08